1

Am trying to upgrade a module. The core_resource table is not updating and sql resource is not running. I have tried lots of possibilities.

My config.xml

 <modules>
  <ITwebexperts_Request4quote>
        <version>2.2.0.20180430</version>
    </ITwebexperts_Request4quote>
 </modules>

My upgrade script name

  mysql4-upgrade-2.2.20170523-2.2.0.20180430.php

current row in core_resource

   request4quote_setup | 2.2.20170523 | 2.2.20170523

please help me out

1

Since you are trying to upgrade module version from 2.2.20170523, the upgraded version should be like 2.2.20180523 or 2.2.20170524.

You have used 2.2.0.20180430 (Note the 0 in 2.2.0.*), which makes the version number less than the version **2.2.20170523.

I hope my answer is clear to you.

  • Great to know.. Can you upvote my answer if it helped? – Mohit Kumar Arora Apr 30 '18 at 12:42
0

You must have to used max version number in upgrade file. Here you have used "20170523" version number which is less than "20180430" version number. Try to upgrade file like below:-

mysql4-upgrade-2.2.20170524-2.2.20170523.php

config.xml file:-

<modules>
  <ITwebexperts_Request4quote>
        <version>2.2.20170524</version>
    </ITwebexperts_Request4quote>
 </modules>

I think it should be help you. If still your version not upgrade then try to remove extension entry from "core_resource" table and then check. Thanks.

  • Actaully i didn't get you. Usually we name the upgrade file like : mysql4-upgrade-{old version} - {new version}.php right ? my current version is '2.2.20170523' and i want to upgrade this to latest. – Radhu Apr 30 '18 at 9:05
  • i have edited my answer. please check it. thanks. – Raj Apr 30 '18 at 12:13

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.